%global proj_name gbinder-python

Name:           python-gbinder
Version:        1.1.2
Release:        1%{?dist}.inferit
Summary:        Python bindings for libgbinder

License:        GPL-3.0-only
URL:            https://github.com/erfanoabdi/%{proj_name}
Source:         %{url}/archive/%{version}/%{proj_name}-%{version}.tar.gz
# MSVSphere
Patch100:       0001-MSVSphere-fix-syntax-for-cython-version.patch

%global libgbinder_version 1.1.20
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  gcc
BuildRequires:  pkgconfig(libgbinder) >= %{libgbinder_version}

%global _description %{expand:
Cython extension module for libgbinder.
Provides IPC comunication over the /dev/binder protocol for python scripts.}

%description %{_description}

%package -n python3-gbinder
Summary:        %{summary}
Requires:       libgbinder >= %{libgbinder_version}

%description -n python3-gbinder %{_description}

%prep
%autosetup -p1 -n %{proj_name}-%{version}
sed -i "/^USE_CYTHON =/s/False/True/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gbinder

%files -n python3-gbinder -f %{pyproject_files}

%changelog
* Tue Dec 12 2023 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 1.1.2-1.inferit
- Fixed syntax for cython version
- Rebuilt for MSVSphere 9.3

* Sat Sep 16 2023 Alessandro Astone <ales.astone@gmail.com> - 1.1.2-1
- Update to 1.1.2

* Mon Sep 04 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.1.1-6
- Rebuilt for MSVSphere 9.2

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 21 2023 Alessandro Astone <ales.astone@gmail.com> - 1.1.1-5
- Avoid building against Cython 3

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.1.1-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 06 2023 Alessandro Astone <ales.astone@gmail.com> - 1.1.1-2
- Re-enable s390x builds

* Sun Oct 30 2022 Alessandro Astone <ales.astone@gmail.com> - 1.1.1-1
- Initial changelog
